import App from './App'
import uviewPlus from '@/uni_modules/uview-plus'
// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

// import  VConsole  from  'vconsole';
// let vConsole = new VConsole();
// console.log("test");

Vue.config.productionTip = false

App.mpType = 'app'
const app = new Vue({
	...App
})

app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'

// 挂载全局方 法
import config from "./common/config.js"
import request from "./common/request.js";
import User from "./common/user.js"
import {
	debounce
} from "./common/utils.js"
import shares from './utils/share.js'
export function createApp() {
	const app = createSSRApp(App)
	app.mixin(shares)
	app.use(uviewPlus)
	app.config.globalProperties.$config = config
	app.config.globalProperties.$http = request
	app.config.globalProperties.$debounce = debounce
	app.config.globalProperties.User = User
	return {
		app
	}
}
// #endif